Package org.eclipse.emf.cdo.common

# Interface CDOCommonSession.Options.PassiveUpdateEvent

All Superinterfaces:
  `org.eclipse.net4j.util.event.IEvent`, `org.eclipse.net4j.util.options.IOptionsEvent`

Enclosing interface:
  CDOCommonSession.Options

public static interface CDOCommonSession.Options.PassiveUpdateEvent extends org.eclipse.net4j.util.options.IOptionsEvent
An `options event` fired when the `passive update mode` of a CDO session has changed.

Since:
  3.0
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getNewEnabled()`
`CDOCommonSession.Options.PassiveUpdateMode`
`getNewMode()`
`boolean`
`getOldEnabled()`
`CDOCommonSession.Options.PassiveUpdateMode`
`getOldMode()`

### Methods inherited from interface org.eclipse.net4j.util.options.IOptionsEvent

`getSource`

## Method Details

### getOldEnabled

boolean getOldEnabled()

### getNewEnabled

boolean getNewEnabled()

### getOldMode

CDOCommonSession.Options.PassiveUpdateMode getOldMode()

### getNewMode

CDOCommonSession.Options.PassiveUpdateMode getNewMode()